#!/usr/bin/perl -U
#
# Licensed Materials - Property of IBM
# 
# 5724-A36
# 
# (C) Copyright IBM Corporation 2000. All Rights Reserved.
# 
# US Government Users Restricted Rights- Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#

#
#
# arpfind.pl - Sets symlink in rc.d for starting arpfind to dynamically
#		configure the machine IP.
#
# Paul Schroeder <paulsch@us.ibm.com> (3 October 1999)
#
#

use ASM::Common;
commonInit(["enable", "disable"],
	   "arpfind.pl --enable\n" . "arpfind.pl --disable\n");
$arpfind_init = "../init.d/arpfind";
$arpfind_start = "/etc/rc.d/rc3.d/S95arpfind";
use strict;
BEGIN { $^W = 1; }

use vars qw! $opt_enable $opt_disable $arpfind_init $arpfind_start $auditcmd !;

if($opt_enable) {
  audit(MSG_ARPFIND_ENABLED);
  symlink($arpfind_init, $arpfind_start);
} elsif($opt_disable) {
  audit(MSG_ARPFIND_DISABLED);
  unlink($arpfind_start);
} else {
  logUsage();
  exit(3);
}#if-else-elsif

exit(0);

