#!/usr/bin/perl
#
# Licensed Materials - Property of IBM
# 
# 5724-A36
# 
# (C) Copyright IBM Corporation 2000. All Rights Reserved.
# 
# US Government Users Restricted Rights- Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#

use ASM::Common;
use strict;
BEGIN { $^W = 1; }
use vars qw/ $auditcmd $CSMAdmin_passwd_file /;

commonInit([], "userid password");
setFacility('syscfg');

if ( $#ARGV != 1 ) {		# $#ARGV is index of last parameter, not # of parms
    logUsage();
    exit(1);
}

my ($userid, $password) = @ARGV;

# Usage:
#         htpasswd [-cmdps] passwordfile username
#         htpasswd -b[cmdps] passwordfile username password
 
#  -c  Create a new file.
#  -m  Force MD5 encryption of the password.
#  -d  Force CRYPT encryption of the password (default).
#  -p  Do not encrypt the password (plaintext).
#  -s  Force SHA encryption of the password.
#  -b  Use the password from the command line rather than prompting for it.
# On Windows and TPF systems the '-m' flag is used by default.
# On all other systems, the '-p' flag will probably not work.

my $htpasswd = "/opt/IBMHTTPServer/bin/htpasswd";

my $copt = "";
if (! -f $CSMAdmin_passwd_file) {
  $copt = "c";
}

my ($rc,$stdout,$stderr);
$rc = runit([$htpasswd, "-b$copt", $CSMAdmin_passwd_file, $userid, $password],
	    \$stdout,\$stderr);
if ($rc == 0) {
  exit(0);
}
trace("$htpasswd failed; $!\n$stdout\n$stderr");
error(MSG_ERROR_CREATING_ADMINISTRATOR, $userid);
exit(1);

