#!/usr/bin/perl
#
# Licensed Materials - Property of IBM
# 
# 5724-A36
# 
# (C) Copyright IBM Corporation 2000. All Rights Reserved.
# 
# US Government Users Restricted Rights- Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#

use ASM::Common;
use strict;
BEGIN { $^W = 1; }
use vars qw/ $auditcmd $CSMAdmin_passwd_file /;

commonInit([], "userid");
setFacility('syscfg');

if ( $#ARGV != 0 ) {		# $#ARGV is index of last parameter, not # of parms
    logUsage();
  exit(1);
}

my ($userid) = @ARGV;

my $tmpfile = "${CSMAdmin_passwd_file}-new";
openOrDie(IN, "<$CSMAdmin_passwd_file");
openOrDie(OUT, ">$tmpfile");
while (<IN>) {
  next if /^$userid/;
  if (!print OUT) {
      trace "$0: error writing to $tmpfile: $!\n";
      error(MSG_ERROR_WRITING_TO_FILE, $tmpfile);
      exit(1);
  }
}
close(IN);
if (!close(OUT)) {
    trace "$0: error writing to $tmpfile: $!\n";
    error(MSG_ERROR_WRITING_TO_FILE, $tmpfile);
    exit(1);
}
renameOrDie($tmpfile, $CSMAdmin_passwd_file);
exit(0);
