#!/usr/bin/perl -w
#
# Licensed Materials - Property of IBM
# 
# 5724-A36
# 
# (C) Copyright IBM Corporation 2000. All Rights Reserved.
# 
# US Government Users Restricted Rights- Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#

use Getopt::Std;

use English;
use ASM::Common;

#This function formats the log material into something suitable for a web page.

#GRAB THE COMMAND LINE PARAMETERS -f FILENAME AND -b begin_line and -l lines end
$opt_l = 1;
$opt_n = 0;
$opt_f = "";
getopts("f:l:n:");

print "".
"<html>\n".
"<meta http-equiv=\"Content-Type\" content=\"text/html;charset=iso-8859-1\">".
"<meta http-equiv=\"expires\" content=\"January 1, 1990 01:00:00 EST\">".
"   <head>\n".
"      <title>Logs View</title> \n".
"   </head>\n".
"<body bgcolor=\"#FFFFFF\">\n";


if (open (FH,"< $opt_f"))
{
  $i = 1;
  while (<FH>)
  {
    if ($INPUT_LINE_NUMBER >= $opt_l)
    {
      chomp();
      print "<a name=a$INPUT_LINE_NUMBER></a><code><font color=\"#3300CC\">",$INPUT_LINE_NUMBER,":</font> $_</code><br> \n";
      if ($opt_n > 0 &&
          ++$i > $opt_n)
      {
        last;
      }
    }
  }
  close(FH);
  my $endOfLog = getFormattedMessage(MSG_END_OF_LOG);
  #print "<i>----end of log---</i><br>";
  print "<i>" . $endOfLog . "</i><br>";
}
else
{
  my $notFound = getFormattedMessage(MSG_LOG_NOT_FOUND);
  #print "Log file not yet created by system, <br> or permissions must be set properly by admin.";
  print $notFound;
}

print "".
"</body>\n".
"</html>\n";
