#!/usr/bin/perl -U
#
# Licensed Materials - Property of IBM
# 
# 5724-A36
# 
# (C) Copyright IBM Corporation 2000. All Rights Reserved.
# 
# US Government Users Restricted Rights- Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#

# getvpd.pl - get machine serial or model number
#
# Usage: getvpd.pl  [--serial|--model]
#
#  With --serial, just prints serial number
#  With --model, just prints model number
#
# With neither, prints something like
#   Serial: 23VPD97
#   Model: 86541XX
#
# Note: this script exists mainly to get setuid root, since
# getvpd must run as root.

use ASM::Common;
use ASM::Exec;

$getvpd = <<"EOS";
getvpd.pl [--serial|--model]
EOS
commonInit(["serial", "model"], $getvpd);

my @args;
if ($opt_serial) {
  push(@args, "--serial");
}
if ($opt_model) {
  push(@args, "--model");
}

my ($rc, $stdout, $stderr);

$rc = runit(["/opt/CSM/bin/getvpd", @args], \$stdout, \$stderr);
print $stdout;

