#!/usr/bin/perl -U
#
# Licensed Materials - Property of IBM
# 
# 5724-A36
# 
# (C) Copyright IBM Corporation 2000. All Rights Reserved.
# 
# US Government Users Restricted Rights- Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#

# listAllowedHosts.pl  lists the hosts allowed to access CSM
#
# Chi D Nguyen <cdn@us.ibm.com> (21 October 1999)
#

################################
# Let's use our needed modules #
################################

use ASM::Common;
use Getopt::Long;  # This modules parses POSIX compliant long option names.

commonInit([], "");

#############################################
# First we have our configuration variables #
#############################################

$CSMconfFile = "/opt/CSM/WebServer/conf/httpd.conf";
$CSMHostAllowSearch = "# CSM ALLOW HOSTS TO FOLLOW. DO NOT DELETE.";

# Get command line options and check 'em out to see if they're okay.

if ($Getopt::Long::error){  # There was an error in parsing the arguments
    logUsage();
  exit 3;
}

if($help) {
    logUsage();
    exit(0);
}
else {
    openOrDie(CSMCONF, $CSMconfFile);
    while ($lines = <CSMCONF>) {
	if ($lines =~ /$CSMHostAllowSearch/) {
	    $lines = <CSMCONF>;
	    ($Allow,$From,$HostsAllow) = split(" ",$lines,3);
	    if ($Allow =~ /Allow/) {
		my @hosts = split(' ',$HostsAllow);
		print join(" ", grep(!/127.0.0.1/, @hosts)), "\n";
		close(CSMCONF);
		exit 0;
	    }
	}
    }
  close(CSMCONF);
  trace("The $CSMconfFile file is corrupted; could not find $CSMHostAllowSearch. \n");
  exit 3;
}
